// ---------------------------------------------------------------------------
//                       Outer Visual Engine include file
//
// Copyright (c) Unreal corporation, 1997 -1998, (c) L. Lostak, aka Ray/Unreal
// ---------------------------------------------------------------------------
// !!! Don't erase this file if you want to make your own designs !!!

  // OVE comamnds

#define  OVECMD_MOVING           0x8001
#define  OVECMD_SCHEME1          0x8002
#define  OVECMD_SCHEME2          0x8003
#define  OVECMD_SCHEME3          0x8004
#define  OVECMD_SCHEME4          0x8005
#define  OVECMD_SCHEME5          0x8006
#define  OVECMD_SCHEME6          0x8007
#define  OVECMD_SCHEME7          0x8008
#define  OVECMD_SCHEME8          0x8009
#define  OVECMD_SCHEME9          0x800A
#define  OVECMD_SCHEME10         0x800B
#define  OVECMD_SCHEME11         0x800C
#define  OVECMD_SCHEME12         0x800D
#define  OVECMD_SCHEME13         0x800E
#define  OVECMD_SCHEME14         0x800F
#define  OVECMD_SCHEME15         0x8010
#define  OVECMD_SCHEME16         0x8011
#define  OVECMD_SCHEMENEXT       0x8012
#define  OVECMD_SCHEMEPREV       0x8013
#define  OVECMD_ONTOP            0x8014
#define  OVECMD_ONTOPON          0x8015
#define  OVECMD_ONTOPOFF         0x8016
#define  OVECMD_RESTORE          0x8017
#define  OVECMD_MINIMIZE         0x8018
#define  OVECMD_CLOSE            0x8019
#define  OVECMD_MENU             0x801A
#define  OVECMD_SYSTRAYMENU      0x801B
#define  OVECMD_SYSTEM           0x801C
#define  OVECMD_TASKBARON        0x801D
#define  OVECMD_TASKBAROFF       0x801E

  // OVE menu providers

#define  OVECMD_DESIGNSELPLACE   0x81ff

  // global mouse actions flgs

#define  VF_LBUTTON              0x80000000         // mouse's actions
#define  VF_RBUTTON              0x40000000
#define  VF_DLBUTTON             0x20000000
#define  VF_DRBUTTON             0x10000000
#define  VF_LBUTTONCLICK         0x08000000
#define  VF_RBUTTONCLICK         0x04000000
#define  VF_REPONMOUSE           0x02000000
#define  VF_TRYME                0x01000000          // if previous visuals doesn't processed, try me - default for VOBJ_MENU and V_OBJTESTONLY
#define  VF_TRYMENODUALTEST      0x00800000          //  ^ don't test dual processing buttons clicks

  // grafix objects flags

#define BASEG_SORTX              0x00000001
#define BASEG_USEMASK            0x00000002

#define BASEANIMP_REPEAT         0x00000001
#define BASEANIMP_REPEAT1        0x00000000
#define BASEANIMP_REPEAT2        0x00000002
#define BASEANIMP_REPEAT3        0x00000003
#define BASEANIMP_REPEAT4        0x00000004
#define BASEANIMP_REPEAT5        0x00000005
#define BASEANIMP_REPEAT6        0x00000006
#define BASEANIMP_REPEAT7        0x00000007
#define BASEANIMP_REPEAT8        0x00000008
#define BASEANIMP_REPEAT9        0x00000009
#define BASEANIMP_REPEAT10       0x0000000A
#define BASEANIMP_REPEAT11       0x0000000B
#define BASEANIMP_REPEAT12       0x0000000C
#define BASEANIMP_REPEAT13       0x0000000D
#define BASEANIMP_REPEAT14       0x0000000E
#define BASEANIMP_REPEAT15       0x0000000F
#define BASEANIMP_ENABLE         0x00000010
#define BASEANIMP_RELATIVE       0x00000020
#define BASEANIMP_REVERSIBLE     0x00000040
#define BASEANIMP_FINISH         0x00000080
#define BASEANIMP_FINISHLAST     0x00000100

#define BASEANIM_SPEED1          0x00000000
#define BASEANIM_SPEED2          0x00000001
#define BASEANIM_SPEED3          0x00000002
#define BASEANIM_SPEED4          0x00000003
#define BASEANIM_SPEED5          0x00000004
#define BASEANIM_SPEED6          0x00000005
#define BASEANIM_SPEED7          0x00000006
#define BASEANIM_SPEED8          0x00000007
#define BASEANIM_SPEED9          0x00000008
#define BASEANIM_SPEED10         0x00000009
#define BASEANIM_SPEED11         0x0000000A
#define BASEANIM_SPEED12         0x0000000B
#define BASEANIM_SPEED13         0x0000000C
#define BASEANIM_SPEED14         0x0000000D
#define BASEANIM_SPEED15         0x0000000E
#define BASEANIM_SPEED16         0x0000000F
//#define BASEANIM_SORTX           0x00000010     // not yet supported
#define BASEANIM_USEMASK         0x00000020



  // Visual objects flgs

#define TESTPLACE_NODUALTEST     VF_TRYMENODUALTEST // test'll ignore "together" button status - test only each actions
#define TESTPLACE_LBUTTON        VF_LBUTTON
#define TESTPLACE_RBUTTON        VF_RBUTTON
#define TESTPLACE_DLBUTTON       VF_DLBUTTON
#define TESTPLACE_DRBUTTON       VF_DRBUTTON
#define TESTPLACE_LBUTTONCLICK   VF_LBUTTONCLICK
#define TESTPLACE_RBUTTONCLICK   VF_RBUTTONCLICK

#define FOCUS_LBUTTON            VF_LBUTTON
#define FOCUS_RBUTTON            VF_RBUTTON
#define FOCUS_DLBUTTON           VF_DLBUTTON
#define FOCUS_DRBUTTON           VF_DRBUTTON
#define FOCUS_LBUTTONCLICK       VF_LBUTTONCLICK
#define FOCUS_RBUTTONCLICK       VF_RBUTTONCLICK

#define BUTTON_MOUSESENSITIVE    VF_REPONMOUSE    // button has MOUSE OVER frame
#define BUTTON_ACTIVEIFPRESSED   0x00000000       // active frame'll visible for pressing button (default)
#define BUTTON_ACTIVE01SEC       0x00000001       // active frame'll visible 100 mS, then command is executed
#define BUTTON_ACTIVEEXECUTING   0x00000002       // active frame'll visible for time, which command is executing
#define BUTTON_ACTIVEANIM        0x00000004       // command is executed while animation time (on grafix object)
#define BUTTON_TIMERREPEAT       0x00000008       // active frame'll visible when mouse state is valid, command is executing 50x per second
#define BUTTON_WAITFORPHASE      0x00000010       // wait with executing command for destination phase (on grafix object)
#define BUTTON_WAITFORANIMEND    0x00000020       // wait with executing command for end of animation (on grafix object)
#define BUTTON_LBUTTON           VF_LBUTTON
#define BUTTON_RBUTTON           VF_RBUTTON
#define BUTTON_DLBUTTON          VF_DLBUTTON
#define BUTTON_DRBUTTON          VF_DRBUTTON
#define BUTTON_LBUTTONCLICK      VF_LBUTTONCLICK
#define BUTTON_RBUTTONCLICK      VF_RBUTTONCLICK

#define INDICATOR_MOUSESENSITIVE VF_REPONMOUSE     // has MOUSE OVER frames
#define INDICATOR_REVERSE        0x00000001        // reverse active/inactive frames
#define INDICATOR_NOAUTO         0x00000002        // dest'll not automaticly changed
#define INDICATOR_LBUTTON        VF_LBUTTON
#define INDICATOR_RBUTTON        VF_RBUTTON
#define INDICATOR_DLBUTTON       VF_DLBUTTON
#define INDICATOR_DRBUTTON       VF_DRBUTTON
#define INDICATOR_LBUTTONCLICK   VF_LBUTTONCLICK
#define INDICATOR_RBUTTONCLICK   VF_RBUTTONCLICK

#define INDIBUT_MOUSESENSITIVE   VF_REPONMOUSE     // has MOUSE OVER frames
#define INDIBUT_CANBECLICKED     0x00000001        // has clicked frames
#define INDIBUT_REVERSE          0x00000002        // reverse active/inactive frames
#define INDIBUT_ATONCE           0x00000004        // doesn't wait to 'click finished' - run command immediatly
#define INDIBUT_LBUTTON          VF_LBUTTON
#define INDIBUT_RBUTTON          VF_RBUTTON
#define INDIBUT_DLBUTTON         VF_DLBUTTON
#define INDIBUT_DRBUTTON         VF_DRBUTTON
#define INDIBUT_LBUTTONCLICK     VF_LBUTTONCLICK
#define INDIBUT_RBUTTONCLICK     VF_RBUTTONCLICK

#define FIXEDTEXT_LBUTTON        VF_LBUTTON
#define FIXEDTEXT_RBUTTON        VF_RBUTTON
#define FIXEDTEXT_DLBUTTON       VF_DLBUTTON
#define FIXEDTEXT_DRBUTTON       VF_DRBUTTON
#define FIXEDTEXT_LBUTTONCLICK   VF_LBUTTONCLICK
#define FIXEDTEXT_RBUTTONCLICK   VF_RBUTTONCLICK

#define FIXNUM_1                 0x00000001        // how many 'numbers' - orred
#define FIXNUM_2                 0x00000002
#define FIXNUM_3                 0x00000003
#define FIXNUM_4                 0x00000004
#define FIXNUM_5                 0x00000005
#define FIXNUM_6                 0x00000006
#define FIXNUM_7                 0x00000007
#define FIXNUM_8                 0x00000008
#define FIXNUM_ZEROPADDED        0x00000010        // padded from left with "zero"
#define FIXNUM_SPACEPADDED       0x00000020        // padded from left with "zero"
#define FIXNUM_HEX               0x00000040        // padded from left with "zero"
#define FIXNUM_CNVTO100          0x00000080        // converts sliders value to 0-100
#define FIXNUM_LBUTTON           VF_LBUTTON
#define FIXNUM_RBUTTON           VF_RBUTTON
#define FIXNUM_DLBUTTON          VF_DLBUTTON
#define FIXNUM_DRBUTTON          VF_DRBUTTON
#define FIXNUM_LBUTTONCLICK      VF_LBUTTONCLICK
#define FIXNUM_RBUTTONCLICK      VF_RBUTTONCLICK

#define TRACKBAR_VERTICAL        0x00000001        // vertical
#define TRACKBAR_CLICKED         0x00000002        // has clicked frame
#define TRACKBAR_MOUSESENSITIVE  VF_REPONMOUSE     // has mouse sensitive frame
#define TRACKBAR_LBUTTON         VF_LBUTTON
#define TRACKBAR_RBUTTON         VF_RBUTTON

#define RNDS_CLICKED             0x00000001        // has clicke frame
#define RNDS_MOUSESENSITIVE      VF_REPONMOUSE    // has mouse sensitive frame
#define RNDS_LBUTTON             VF_LBUTTON
#define RNDS_RBUTTON             VF_RBUTTON

#define MENU_NODUALTEST          0x00000001        // test'll ignore "together" button status - test only each actions
#define MENU_LBUTTON             VF_LBUTTON
#define MENU_RBUTTON             VF_RBUTTON
#define MENU_DLBUTTON            VF_DLBUTTON
#define MENU_DRBUTTON            VF_DRBUTTON
#define MENU_LBUTTONCLICK        VF_LBUTTONCLICK
#define MENU_RBUTTONCLICK        VF_RBUTTONCLICK

#define WND_UPBAR                0x00000001       // 'll hide on upper side of src (the same as HIDE TASK BAR opt in W)
#define WND_GOONTOP              0x00000002       // 'll still on top
#define WND_NOTOPMOST            0x00000004       // TOP_MOST flg'll change to NOTOP_MOST
#define WND_NOTASKBAR            0x00000008       // remove task bar item
#define WND_NOTRAY               0x00000010       // remove system trays item
#define WND_NOSYSMINIMIZE        0x00000020       // remove minimize from sys menu


     // Bitmap object

#define BMPC_CREATE            0x00000001
#define BMPC_CREATEFULL        0x00000002
#define BMPC_LOAD              0x00000003
#define BMPC_LOADA             0x00000004
#define BMPC_LOADB             0x00000005
#define BMPC_LOADC             0x00000006
#define BMPC_ADJUSTRGB         0x00000007
#define BMPC_ADJUSTCONTRAST    0x00000008
#define BMPC_ADJUSTHSV         0x0000000A
#define BMPC_ADJUSTHUE         0x0000000B
#define BMPC_ADJUSTSATURATION  0x0000000C
#define BMPC_ADJUSTLIGHTNEES   0x0000000D
#define BMPC_FILLEDRECT        0x0000000E
#define BMPC_GRAYSCALE         0x0000000F

methods DOBJ_BITMAP {

  BMPC_CREATE:            function Create(UWORD sizeX,UWORD sizeY);
  BMPC_CREATEFULL:        function Create(UWORD sizeX,UWORD sizeY,UBYTE R,UBYTE G,UBYTE B);
  BMPC_LOAD:              function Load(LINKFILE name);
  BMPC_LOADA:             function LoadTo(LINKFILE name,UWORD xDst,UWORD yDst);
  BMPC_LOADB:             function LoadToFrom(LINKFILE name,UWORD xDst,UWORD yDst,UWORD xSrc,UWORD ySrc);
  BMPC_LOADC:             function LoadToFromPart(LINKFILE name,UWORD xDst,UWORD yDst,UWORD xSrc,UWORD ySrc,UWORD xLen,UWORD yLen);
  BMPC_ADJUSTRGB:         function AdjustRGB(SBYTE r,SBYTE g,SBYTE b);
  BMPC_ADJUSTHSV:         function AdjustHSV(SBYTE h,SBYTE s,SBYTE l);
  BMPC_ADJUSTHUE:         function AdjustHue(SBYTE h);
  BMPC_ADJUSTSATURATION:  function AdjustSaturation(SBYTE s);
  BMPC_ADJUSTLIGHTNEES:   function AdjustLightnees(SBYTE l);
  BMPC_GRAYSCALE:         function GrayScale();

  BMPC_FILLEDRECT: function FilledRect(UWORD x,UWORD y,UWORD x2,UWORD y2,UBYTE R,UBYTE G,UBYTE B);

};


     // predefined words macros

#define dMenuItems            DOBJ_MENUITEMS
#define dBitmap               DOBJ_BITMAP

#define gBase                 GOBJ_BASE
#define gAnimBase             GOBJ_ANIMBASE

#define vTestPlace            VOBJ_TESTINGONLY
#define vButton               VOBJ_BUTTON
#define vIndicator            VOBJ_INDICATOR
#define vIndiButton           VOBJ_INDIBUTTON
#define vFixedText            VOBJ_FIXEDTEXT
#define vFixedNumber          VOBJ_FIXEDNUMBER
#define vFocus                VOBJ_FOCUS
#define vTrackBar             VOBJ_TRACKBAR
#define vRoundSlider          VOBJ_ROUNDSLIDER
#define vFigure               VOBJ_FIGURE
#define vImage                VOBJ_IMAGE

#define Header                DESIGNHEADER
#define Window                OVEWINDOW
#define Scheme                OVEWINDOWSCHEME

