// ---------------------------------------------------------------------------
//              Pulse player include file for Outer visual engine
//
// Copyright (c) Unreal corporation, 1997 -1998, (c) L. Lostak, aka Ray/Unreal
// ---------------------------------------------------------------------------
// !!! Don't erase this file if you want to make your own designs !!!

//				      0x000000000007fff  cmd ID mask
//				      0x0000000ffff0000  provider ID mask
//				      0xfffffff00000000  user defined flags mask


#define PULSE_F_PLR0		      0x000000000000800
#define PULSE_F_PLR1		      0x000000000001000
#define PULSE_F_PLR2		      0x000000000002000
#define PULSE_F_PLR3		      0x000000000004000
#define PULSE_F_ONLYPLAYING	      0x000000100000000
#define PULSE_F_ONLYPLAYLIST	      0x000000200000000
#define PULSE_F_NOPLAYING	      0x000000400000000

#define PULSE_BOOL_PAUSE	      0x000000000010000
#define PULSE_BOOL_STEREO	      0x000000000020000
#define PULSE_BOOL_16BIT	      0x000000000030000
#define PULSE_BOOL_REPEATM	      0x000000000040000
#define PULSE_BOOL_REPEATP	      0x000000000050000
#define PULSE_BOOL_SHUFFLE	      0x000000000060000
#define PULSE_BOOL_INTERPOL	      0x000000000070000
#define PULSE_BOOL_PLAY 	      0x000000000080000
#define PULSE_BOOL_TIMEREMAINING      0x000000000090000
#define PULSE_BOOL_QUALITYMIX	      0x0000000000A0000
#define PULSE_BOOL_SURROUND	      0x0000000000B0000

#define PULSE_NUM_MAXPAT	      0x000000000500000
#define PULSE_NUM_ACTPAT	      0x000000000510000
#define PULSE_NUM_ACTROW	      0x000000000520000
#define PULSE_NUM_MAXROW	      0x000000000530000
#define PULSE_NUM_MAXCHAN	      0x000000000540000
#define PULSE_NUM_ACTCHAN	      0x000000000550000
#define PULSE_NUM_TIMEMIN	      0x000000000560000
#define PULSE_NUM_TIMESEC	      0x000000000570000
#define PULSE_NUM_LINEARSEEK	      0x000000000580000
#define PULSE_NUM_VOLUME	      0x000000008000000
#define PULSE_NUM_BALANCE	      0x000000008010000
#define PULSE_NUM_PANNING	      0x000000008020000
#define PULSE_NUM_SEPARATION	      0x000000008030000
#define PULSE_NUM_DEV_VOLUME	      0x000000008040000
#define PULSE_NUM_DEV_BALANCE	      0x000000008050000
#define PULSE_NUM_DEV_PANNING	      0x000000008060000
#define PULSE_NUM_DEV_SEPARATION      0x000000008070000

#define PULSE_TEXT_FILE83	      0x000000002000000
#define PULSE_TEXT_FILE 	      0x000000002010000
#define PULSE_TEXT_FILEFULL	      0x000000002020000
#define PULSE_TEXT_SONG 	      0x000000002030000
#define PULSE_TEXT_SUBSONG	      0x000000002040000
#define PULSE_TEXT_COMPOSER	      0x000000002050000
#define PULSE_TEXT_TYPE 	      0x000000002060000
#define PULSE_TEXT_ORIGIN	      0x000000002070000
#define PULSE_TEXT_COPYRIGHT	      0x000000002080000
#define PULSE_TEXT_MESSAGE	      0x000000002090000




#define PC_NOP			  0x000
#define PC_PLAY 		  0x001
#define PC_PAUSE		  0x002
#define PC_STOP 		  0x003
#define PC_ABOUT		  0x004
#define PC_REWIND		  0x005
#define PC_FORWARD		  0x006
#define PC_NEXTSONG		  0x007
#define PC_PREVSONG		  0x008
#define PC_OPEN 		  0x009
#define PC_INFO 		  0x00A
#define PC_EPLAYLIST		  0x00B
#define PC_SHUFFLE		  0x00C
#define PC_SHUFFLEON		  0x00D
#define PC_SHUFFLEOFF		  0x00E
#define PC_DISPTIME		  0x00F
#define PC_DISPTIMEE		  0x010
#define PC_DISPTIMER		  0x011
#define PC_REPEATM		  0x012
#define PC_REPEATMON		  0x013
#define PC_REPEATMOFF		  0x014
#define PC_REPEATP		  0x015
#define PC_REPEATPON		  0x016
#define PC_REPEATPOFF		  0x017
#define PC_ZEROMAXCH		  0x018
#define PC_COMPONENTSETUP	  0x019
#define PC_MODFINISHED		  0x01A
#define PC_SYSTRAYMENU		  0x01B
#define PC_NOP2 		  0x01C
#define PC_NOP3 		  0x01D

#define PC_SETVOLup		  0x300
#define PC_SETVOLdown		  0x301
#define PC_SETVOLmin		  0x302
#define PC_SETVOLmid		  0x303
#define PC_SETVOLmax		  0x304
#define PC_SETBALmin		  0x309
#define PC_SETBALmid		  0x30A
#define PC_SETBALmax		  0x30B
#define PC_SETBALleft		  0x30C
#define PC_SETBALright		  0x30D
#define PC_SETPANmin		  0x310
#define PC_SETPANmid		  0x311
#define PC_SETPANmax		  0x312
#define PC_SETPANleft		  0x313
#define PC_SETPANright		  0x314
#define PC_SETSEPup		  0x315
#define PC_SETSEPdown		  0x316
#define PC_SETSEPmin		  0x317
#define PC_SETSEPmid		  0x318
#define PC_SETSEPmax		  0x319
#define PC_DEVVOLup		  0x31C
#define PC_DEVVOLdown		  0x31D
#define PC_DEVVOLmin		  0x31E
#define PC_DEVVOLmid		  0x31F
#define PC_DEVVOLmax		  0x320
#define PC_DEVBALmin		  0x325
#define PC_DEVBALmid		  0x326
#define PC_DEVBALmax		  0x327
#define PC_DEVBALleft		  0x328
#define PC_DEVBALright		  0x329
#define PC_DEVPANmin		  0x32C
#define PC_DEVPANmid		  0x32D
#define PC_DEVPANmax		  0x32E
#define PC_DEVPANleft		  0x32F
#define PC_DEVPANright		  0x330
#define PC_DEVSEPup		  0x331
#define PC_DEVSEPdown		  0x332
#define PC_DEVSEPmin		  0x333
#define PC_DEVSEPmid		  0x334
#define PC_DEVSEPmax		  0x335


